Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
Re: [opensuse-factory] Leap 42.3 Build 0277 and multiversion.kernels
On 06/14/2017 03:19 PM, Frank Krüger wrote:

Rebooting and applying the purge-kernels service removes the standard
kernel-default-4.4.69-2.3 as expected. However, using "zypper dup" tries
to install the standard kernel again.

That's not quite right.

The previous kernel was actually "kernel-default-4.4.69-2.2". That was
replaced by "kernel-default-4.4.69-2.3".

The new kernel is a recompile of the same kernel as before. The two
cannot co-exist. Both of them will have the kernel stored as
"/boot/kernel-default-4.4.69-2", and that would give a conflict. So the
older kernel was actually removed by "zypper" during your update. The
"purge-kernels" service did not have anything to do.

You are probably right, that you have not seen this happen with 42.2.
But we do often see it happen with Tumbleweed. Once the final release
of 42.3 is out, you probably won't see this happen. But the development
is being handled similarly to Tumbleweed, so these recompiles may occur
again during the development phase.

I hope that helps explain what you are seeing, and why it isn't a problem.

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References